/***********************
 * FLAT PICKR *
 */	
 
flatpickr('#naissance,#dateP', { dateFormat: 'd/m/Y', allowInput: true});

/***********************
 * VALIDATION DU FORMULAIRE *
 * @event ONSUBMIT
 */	

$('.formStd').live('submit',function(e) 
{
	e.preventDefault();
	
	var input = $(this).find('input,select,textarea');
	var datas = $(input).serialize();
	
	$.ajax(
	{
		type		: 'POST',
		url			: '/scm/ajax/global.ajx.php',
		data		: 'typeAjx=4&'+datas,
		dataType	: 'json',
		beforeSend 	: function()
		{
			clearTimeout(loadingTimer);
			loadingTimer = setTimeout(showLoading,3000);
		},
		success		: function(data)
		{
			if(data['erreur']!=='' && data['erreur']!=null)
			{
				swal('Erreur!',data['erreur'],'error');
			}
			else
			{				
				swal({
					title: 'Bravo!', 
					text: data['reponse'], 
					type: 'success'
				}).then(function(){ location.href = '/scm/'+langue+'/membres-compte/'; });
			}
		},
		complete 	: function()
		{
			clearTimeout(loadingTimer);
			hideLoading();
		}		
	});	
});


/**************
 * UPLOAD
 */	

$(function() 
{
	var myDropzone = $('.upload').dropzone(
	{
		parallelUploads: 1,
		maxFiles: 2,
		uploadMultiple: false,	
		thumbnailWidth: 100,		
		thumbnailHeight: 100,
		url: '/scm/uploadSCM.php',
		maxFilesize: 30, // MB
		acceptedFiles: 'image/*',
		addRemoveLinks: true,
		init: function() 
		{
			this.on('addedfile', function (file) 
			{
				if (this.files.length > 1) 
				{
					this.removeAllFiles();
					this.addFile(file);                       
				}
			});
		},
		success: function(file, response)
		{
			var obj = jQuery.parseJSON(response);

			if(obj.erreur!=='')
			{
				var sel = file.previewElement.querySelectorAll('[data-dz-errormessage]');
				$(sel).html(obj.erreur);
				
				$(sel).parents('div.dz-error-message').css('display','block').css('opacity',1).css('zIndex',9000);				
			}
			else
			{
				$('#logo').attr('src',obj.fileName + '?time=' + new Date().getTime());
			}
		},
		queuecomplete: function()
		{
			this.removeAllFiles();
		}
	});
}); 
